summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Prof. HORSTMANN <wmh@eipg.fr>2020-06-16 05:22:23 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-06-20 07:59:28 +0700
commit969d43cab939549f9c62a422cd20e610f71b7c59 (patch)
tree8166798157dc9fffbddb0ab264bbf9aba777a1a7
parent61a98b970295ff33d1d63657e3b37ff6a413e74d (diff)
downloadslackbuilds-969d43cab939549f9c62a422cd20e610f71b7c59.tar.gz
slackbuilds-969d43cab939549f9c62a422cd20e610f71b7c59.tar.xz
python/django-sass: Added (simplest way to use Sass with Django)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/django-sass/README2
-rw-r--r--python/django-sass/django-sass.SlackBuild74
-rw-r--r--python/django-sass/django-sass.info10
-rw-r--r--python/django-sass/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/python/django-sass/README b/python/django-sass/README
new file mode 100644
index 0000000000..389d7a7bc3
--- /dev/null
+++ b/python/django-sass/README
@@ -0,0 +1,2 @@
+The absolute simplest way to use Sass with Django. Pure Python, minimal
+dependencies, and no special configuration required!
diff --git a/python/django-sass/django-sass.SlackBuild b/python/django-sass/django-sass.SlackBuild
new file mode 100644
index 0000000000..356e845e00
--- /dev/null
+++ b/python/django-sass/django-sass.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# SlackBuild build script for django-sass
+
+# Copyright (c) 2000-2020 Prof. Horstmann <wmh (at) eipg.fr>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=${PRGNAM:-django-sass}
+SRCPKG=${SRCPKG-django-sass}
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $SRCPKG)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Replacement of python-2.x Python3.x check presence and build if found.
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a PKG-INFO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/django-sass/django-sass.info b/python/django-sass/django-sass.info
new file mode 100644
index 0000000000..dfd300e921
--- /dev/null
+++ b/python/django-sass/django-sass.info
@@ -0,0 +1,10 @@
+PRGNAM="django-sass"
+VERSION="1.0.0"
+HOMEPAGE="https://pypi.org/project/django-sass/"
+DOWNLOAD="https://files.pythonhosted.org/packages/34/9a/6f7c32dcf62cbbd62c0a02f165c062b60932a33dc62b0ddb773f83d90585/django-sass-1.0.0.tar.gz"
+MD5SUM="6c2f01c0581b0a6e640a3a6d3380d353"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-django libsass"
+MAINTAINER="Prof. HORSTMANN"
+EMAIL="wmh@eipg.fr"
diff --git a/python/django-sass/slack-desc b/python/django-sass/slack-desc
new file mode 100644
index 0000000000..6346e92542
--- /dev/null
+++ b/python/django-sass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+django-sass: django-sass (simplest way to use Sass with Django)
+django-sass:
+django-sass: The absolute simplest way to use Sass with Django. Pure Python,
+django-sass: minimal dependencies, and no special configuration required.
+django-sass:
+django-sass: Python-3.+ Only !
+django-sass:
+django-sass: Homepage: https://pypi.org/project/django-sass/
+django-sass:
+django-sass:
+django-sass: